curl -X POST https://api2.ecomailapp.cz/pipelines/1/trigger \
-H "key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"email": "foo@bar.cz"
}'
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, 'https://api2.ecomailapp.cz/pipelines/1/trigger');
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'key: YOUR_API_KEY',
'Content-Type: application/json',
]);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode([
'email' => 'foo@bar.cz',
]));
$response = curl_exec($ch);
curl_close($ch);
{
"email": "foo@bar.cz"
}
Automations
Trigger automation
Run a specific automation for the given email/subscriber.
POST
/
pipelines
/
{pipeline_id}
/
trigger
curl -X POST https://api2.ecomailapp.cz/pipelines/1/trigger \
-H "key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"email": "foo@bar.cz"
}'
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, 'https://api2.ecomailapp.cz/pipelines/1/trigger');
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'key: YOUR_API_KEY',
'Content-Type: application/json',
]);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode([
'email' => 'foo@bar.cz',
]));
$response = curl_exec($ch);
curl_close($ch);
{
"email": "foo@bar.cz"
}
integer
required
Automation ID.
string
required
Subscriber’s email address.
curl -X POST https://api2.ecomailapp.cz/pipelines/1/trigger \
-H "key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"email": "foo@bar.cz"
}'
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, 'https://api2.ecomailapp.cz/pipelines/1/trigger');
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'key: YOUR_API_KEY',
'Content-Type: application/json',
]);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode([
'email' => 'foo@bar.cz',
]));
$response = curl_exec($ch);
curl_close($ch);
{
"email": "foo@bar.cz"
}
⌘I